unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,  ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Button3: TButton;
    Button4: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Unit2;

var V,Im1,Im2:Pointer;
    BM1,BM2:TBitmap;
    BI1,BI2:TBitmapInfo;
    Data1,Data2:^byte;

procedure TForm1.FormCreate(Sender: TObject);
begin
  BM1:=TBitmap.Create;
  // Place your filename here
  BM1.LoadFromFile('d:\pic2.bmp');
  // change '*3' below according to your image; this is a number of channels
  GetMem(Data1,BM1.Width*BM1.Height*3);
  GetDIB(BM1.Handle,0,BI1,Data1^);
  // change DT_24BITIMAGE according to your image
  Im1:=ImCreate('Lena',BM1.Width,BM1.Height,1,DT_24BITIMAGE,Data1,false);

  BM2:=TBitmap.Create;
  // Place your filename here
  BM2.LoadFromFile('d:\pic2.bmp');
  // change '*3' below according to your image; this is a number of channels
  GetMem(Data2,BM2.Width*BM2.Height*3);
  GetDIB(BM2.handle,0,BI2,Data2^);
  // change DT_24BITIMAGE according to your image
  Im2:=ImCreate('mandrill',BM2.Width,BM2.Height,1,DT_24BITIMAGE,Data2,true);

  V:=VCreate(VT_ADVANCED,0,0,0,300,300);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ImShow(V,Im1);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ImShow(V,Im2);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  ImShow(V,nil);
  ImFree(nil,Im1);
  ImFree(nil,Im2);
  FreeMem(Data1,BM1.Width*BM1.Height*3);
  FreeMem(Data2,BM2.Width*BM2.Height*3);
  BM1.Free;
  BM2.Free;
  VFree(V);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  ImShowModal(Im1,VT_ADVANCED,100,100,400,400);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  ImShowModal(Im2,VT_ADVANCED,100,100,400,400);
end;

end.
